#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
# Content: wato plugin for snmp check "checkpoint_amw"
#          to configure waring/critical levels for last update
#
#
register_check_parameters(
    subgroup_applications,
    "checkpoint_amw",
    _("Check Point Anti Bot/Anti Virus"),
    Dictionary(
        elements=[
            ("no_update_warn",
             Integer(
                 title=_("Warning if no Update"),
                 help=_("Warning if version older then days"),
                 unit=_("days"),
                 default_value=7,
                 minvalue=1,
                 label=_("warning if no updates since"),
             )),
            ("no_update_crit",
             Integer(
                 title=_("Critical if no Update"),
                 help=_("critical if version older then days"),
                 unit=_("days"),
                 default_value=14,
                 minvalue=1,
                 label=_("critical if no updates since"),
             )),
        ],
    ),
    TextAscii(title=_('Servicename')),
    match_type="dict",
)